<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>
      My Trips
    </ion-title>
    <ion-buttons slot="primary">
      <ion-button (click)="addTrip()">
        <ion-icon slot="icon-only" name="add-outline"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-list>
    <ion-item-sliding *ngFor="let trip of _userService.currentUser.trips">
      <ion-item (click)="showDetail(trip)">
        <ion-label>{{trip.from}} to {{trip.to}}</ion-label>
      </ion-item>
      <ion-item-options side="end">
        <ion-item-option color="primary" (click)="showDetail(trip)"><ion-icon slot="icon-only" name="information-circle-outline"></ion-icon></ion-item-option>
        <ion-item-option color="danger" (click)="delete(trip)"><ion-icon slot="icon-only" name="trash-outline"></ion-icon></ion-item-option>
      </ion-item-options>
    </ion-item-sliding>
  </ion-list>
</ion-content>
